EDIT - feature request #7658

use new taxon relationship DTO webservice in portal
08/16/2018 02:35 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

for details see #6682
Example taxa:

e Chichorieae: Pilosella acutifolia coll.
e Cihochorieae: Hieracium dermophyllum

New test data copied from
Nepenthes abalata in the integrationtest reference database

http:/int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ect6/synonymy?d
estination=cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ect6/synonymy

Still to discuss: how to handle misapplied name deduplication (1 line per same name/rel.sec. but for different sensu/appended
phrases, the later need to be concatenated with "," as separator. This can either be handled on server or client side (discussion).

Related issues:

Related to EDIT - bug #6652: [Discuss] misapplied names: hide protologue icon New
Related to EDIT - bug #5676: Sensu does not show up if no author exists for s... Closed
Related to EDIT - feature request #7666: Remaining issues for "Formatter and ... In Progress
Related to EDIT - feature request #5232: use TaxonBase.getTaggedTitle to get ... New
Related to EDIT - feature request #5647: Aggregate misapplied names with mult... Closed
Related to EDIT - feature request #6681: Correct formatting for misapplied na... Closed
Related to EDIT - feature request #7753: use TaxonRelationshipFormatter for M... Closed
Follows EDIT - feature request #6682: Formatter and DTO for taxon relationshi... Closed
Copied to EDIT - feature request #7720: use new taxonRelationshipsDTO webserv... Closed
Copied to EDIT - bug #7766: Remaining issues for using relationship DTO webse... Closed

Associated revisions

Revision 5c¢fd066¢c - 08/31/2018 06:46 PM - Andreas Kohlbecker

ref #7658 test case for Nepenthes abalata

Revision 116fb348 - 09/04/2018 12:58 PM - Andreas Kohlbecker

ref #7658 work in progress with errors

Revision 83dc60b9 - 09/04/2018 12:58 PM - Andreas Kohlbecker
ref #7658 adapting cdm_taxonRelationships() to new taxon relationship DTO webservice
e test case

» extending tagged text functions
e adapting misapplied name redering

Revision 2978b0c8 - 09/04/2018 12:58 PM - Andreas Kohlbecker

ref #7658 moving all tagged text functions to separate file

Revision 67c8cca9 - 09/04/2018 12:58 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/6682
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/90d47d8d-0f76-47d9-a0c8-20b4361080a4
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy?destination=cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy?destination=cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy

ref #7658 miapplied names and invalid designations modified to use the taxonRelationshipsDTO webservice

Revision 27¢31249 - 09/04/2018 01:36 PM - Andreas Kohlbecker

ref #7658 test for invalid designation

Revision 13bd883d - 09/04/2018 02:30 PM - Andreas Kohlbecker

ref #7658, ref #7720 restoring css rule for .relation_sign

Revision 439f531a - 09/11/2018 06:39 PM - Andreas Kohlbecker
ref #7658 MAN deduplication by full MAN representation except sensu reference

Revision 23ebb91f - 09/13/2018 03:11 PM - Andreas Kohlbecker
ref #7658 fixing final problems in MAN display related to appendedPhrase, citationDetail, footnotes

Revision 18c71cd1 - 09/13/2018 03:42 PM - Andreas Kohlbecker

ref #7658 using the taxonRelationDTO for other relationshipt also - footnotes are missing

Revision a9dc4b35 - 09/14/2018 03:14 PM - Andreas Kohlbecker

ref #7658 other relationship reprentation based on DTOs fully implemented

Revision bafcf277 - 09/16/2018 03:25 PM - Andreas Kohlbecker

adapting xpaths in test framework to modified rendering of footnotes, related to ref #7658

Revision e56e5d1c - 09/16/2018 05:29 PM - Andreas Kohlbecker

adding test case for no sensu but with Combination Authors and fixing according bug

Revision 45aaf1fe - 09/16/2018 05:36 PM - Andreas Kohlbecker
depuplication of p.p.MAN and partial MAN with test

History

#1 - 08/16/2018 02:35 PM - Andreas Kohlbecker

- Copied from feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names) added

#2 - 08/16/2018 03:10 PM - Andreas Kohlbecker

- Tags changed from euro+med to euro+med, caryophyllales

#3 - 08/16/2018 04:06 PM - Andreas Kohlbecker

- Description updated

#4 - 08/17/2018 08:51 AM - Andreas Miiller
- Related to bug #6652: [Discuss] misapplied names: hide protologue icon added

#5 - 08/17/2018 08:53 AM - Andreas Miiller

- Related to bug #5676: Sensu does not show up if no author exists for secundum reference added

#6 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#7 - 08/20/2018 12:03 PM - Andreas Miller

- Related to feature request #7666: Remaining issues for "Formatter and DTO for taxon relationships (e.g. misapplied names)" added

#8 - 08/20/2018 05:33 PM - Andreas Miiller

- Description updated

#9 - 08/20/2018 05:36 PM - Andreas Miiller

- Copied from deleted (feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names))
#10 - 08/20/2018 05:36 PM - Andreas Miiller
- Due date set to 06/01/2017
- Start date changed from 05/31/2017 to 06/01/2017

- Follows feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names) added

#11 - 08/20/2018 05:37 PM - Andreas Miiller
- Due date deleted (06/01/2017)

#12 - 08/31/2018 06:26 PM - Andreas Kohlbecker

- Description updated

#13 - 09/04/2018 01:43 PM - Andreas Kohlbecker

- Copied to feature request #7720: use new taxonRelationshipsDTO webservice for all taxon relations added

#14 - 09/04/2018 01:44 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 0 to 60
implementation complete, please review

#15 - 09/06/2018 12:06 PM - Andreas Miiller

- Related to feature request #5232: use TaxonBase.getTaggedTitle to get the sec reference in theme_cdm_taxonRelationships() added

#16 - 09/06/2018 02:31 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker
Does not yet work for pro parte and partial MANSs.

#17 - 09/06/2018 02:44 PM - Andreas Miiller
- File picture970-1.png added
- File picture970-2.png added

Exception for second MAN of Achillea santolinoides Lag.

Achillea santolinoides

@ « Notice: Undefined property: stdClass:§toTaxon in _is_invers faxonRelationship() (line 2441 of Ararivww
fdrupal-7 32/&ites!_jenkins-workspacedmodules’cdm_dataportalicdm_dataportal module).
+ Notice: Trying to get property of non-object in _is_invers_faxonRelationshipf) (line 2441 of Avarwwwidrupal-
7.32fsites’_jenkins-workspace/modules/icdm _dataportalicdm _dataportal. moduie).

General Synonymy

Achillea santolinoides Lag.

— "Achillea santolina” sensu Meikle 19857

1. R. D. Meikle, Flora of Cyprus 2. 1885

for this data on test.cyprus
(25 Achillea san... 2 lREferenzen 2 = B ||[& Details I -

m Achillea santolinoides Lag. Taxon: Achillea santolina Test sec. 777 ~
@ Achillea santolina Title Cache Achillea santolina Test sec. 777 N
SEMSU R. D. MEIKLE, 1985 Appended Phrase |

@Aﬂhi]]e& santolina Published [v]

AUCT, NON TEST Orginal Taxon Doubtful []

Misapplication Type Misapplied Mame for w
Sensu | | =
Detail |
Misappl. Sec. | =
Detail |
Misapplication Doubtful [_] =

+ Mame: Achillea santolina Test

Cache Achillea santolina Test

9B g

Momenclatural Code | |CNAFP

Lsid

« Scientific Name: Achillea santolina

MName Cache Achillea santolina
Rank Species bl

¥ Fakten... 22 | = O Media =2 = g

Q I— ﬁ I— Achillea

: Genus
A=l

Infrageneric Epithet

Specific Epithet santolina

Appended Phrase

+ Authorship: Test

Authorship Cache Test

Author | Test |E|
Ex Author | |E|

#18 - 09/06/2018 02:46 PM - Andreas Miiller

But it works when adding an explicit sensu reference. But explicit sensu is not a requirement.

#19 - 09/06/2018 03:27 PM - Andreas Miiller
- File picture38-1.png added

Strange, with this entry:

MNarnen |Referenzen [E;’;Achillea san. | %2

m Achillea santolinoides Lag|

(@ Achillea santolina
SEMSU R. D, MEIKLE, 1985

(@ Achillea santolina
AAAD SEMSU BAUMEL, A, 2017, NOM TEST

the webservice even does not return a second entry though it exists. Need to check why.

#20 - 09/06/2018 03:30 PM - Andreas Miiller

Andreas Muller wrote:
Strange, with this entry:

the webservice even does not return a second entry though it exists. Need to check why.
ohh, sorry, it was on unpublish (so unpublish works !! ;-)

#21 - 09/06/2018 03:38 PM - Andreas Miiller

Deduplication must NOT take place if the rel. sec. differs (e.g. only one of the MANSs has a rel. sec.). This is not yet correctly implemented.

Also everything else needs to be equal except for MAN.sec and MAN.secDetail. E.g. if the doubtful flag differs either for the MAN taxon or for relation
also no deduplication should take place (as it is no duplicate).

Also the relationship type needs to be equal (once pro parte and partial works).

#22 - 09/06/2018 03:45 PM - Andreas Miiller
- File picture944-1.png added

& handling does not yet work correctly in teams. Probably a formatter issue #7666.

Chrtek, B. Slavik 19942 22, non Test, emr. sed_Zohary, Heller IQEd-“':

#24 - 09/10/2018 04:29 PM - Andreas Miiller

Andreas Muller wrote:

& handling does not yet work correctly in teams. Probably a formatter issue #7666.

Chrtek, B. Slavik 19942 22 non Test, err. sed_Zohary, Heller r984“’:

This was a formatter problem (#7666) which was fixed by cdmlib|c331fa7e

#25 - 09/11/2018 05:50 PM - Andreas Miiller

- Related to feature request #5647: Aggregate misapplied names with multiple sensu references added

#26 - 09/11/2018 06:40 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- % Done changed from 60 to 70
finally fully solved, please review

#27 - 09/12/2018 10:00 AM - Andreas Miiller

- Related to feature request #6681: Correct formatting for misapplied names in name editor added

#28 - 09/12/2018 12:24 PM - Andreas Miiller

- Related to feature request #7753: use TaxonRelationshipFormatter for MAN and pro parte synonyms in name editor added

#29 - 09/12/2018 12:32 PM - Andreas Miiller
- File picture400-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Deduplication still does not work if everything is similar except for sensu and sensu detail. In the following screeshot the 2nd and 3rd entry should be
deduplicated:

— "Achillea santoling” sensu Meikle 19852
?— ?"Achillea santoling” sensu Chriek & B. Slavik 19942, non Test, err. sec. Zohary & Heller 19844 33
?— 2 Achillea santoling” sensu Baumel 2017+ 22, non Test, e sec. Zohary & Heller 19844 33

1. A Baumel, 2017, 2. 1. Chrtek & B. Slavik, Contribution to the flora of Cyprus. 3 in Fl. Medit. 4. 1994, 3. B. D. Meikle, Flora of Cyprus
1985, 4. M. Zohary & D. Heller, The genus Trifolium. 1984

#30 - 09/12/2018 12:45 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/7666
https://dev.e-taxonomy.eu/redmine/issues/7666
https://dev.e-taxonomy.eu/redmine/issues/7666
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/c331fa7e5f95dc7b5fa70f6ae77c3b91e9a517b0

| tested the above behavior. The reason is that secDetail differs (or misses in one case). secDetail is part of the secSource and may be different.

#31 - 09/12/2018 12:49 PM - Andreas Miiller

The MANSs are still unsorted. In the above example you can see that Achillea santolina sensu Chrtek ... is before Achillea santolina sensu Baumel but
shouldn't.

As far as | know Katja implemented a Comparator for same issue in TaxEditor. If possible we should try to reuse it. But may be this is not possible
because of the deduplications that do not exist in TaxEditor.

#32 - 09/12/2018 12:55 PM - Andreas Miiller
Andreas Miller wrote:
Exception for second MAN of Achillea santolinoides Lag.

for this data on test.cyprus

This is not yet fixed. The exception still exists. #7658#note-17

#33 - 09/12/2018 01:33 PM - Andreas Miiller

Deduplication should include appendedPhrase part | think (this is also not yet implemented in the server side misapplication deduplication and also
has not yet been discussed in our last discussion on deduplication).

E.g. - "Achillea santolina" auctrs. afr.; Meikle 1988 should be deduplicated and not 2 entries.

This is because the appendedPhrase for MANSs is usually used as kind of freetext for the sensu reference like in the above example.
#34 - 09/12/2018 01:37 PM - Andreas Miiller

Andreas Miller wrote:

Does not yet work for pro parte and partial MANs.

This is also still an open issue.

#35 - 09/13/2018 03:12 PM - Andreas Kohlbecker
- % Done changed from 70 to 80

please review again

#36 - 09/13/2018 03:16 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#37 - 09/13/2018 03:43 PM - Andreas Kohlbecker

Fehler wie bei Achillea santolinoides beseitigt, aber die FuBnoten bei den nicht MANs fehlen noch - kommt in 3.4!
#38 - 09/14/2018 03:16 PM - Andreas Kohlbecker
Andreas Kohlbecker wrote:

Fehler wie bei Achillea santolinoides beseitigt, aber die FuBnoten bei den nicht MANs fehlen noch - kommt in 3.4!

jetzt musste es perfekt sein!
der Review lohnt sich nun.
#39 - 09/16/2018 03:27 PM - Andreas Miiller
"auct." (appended phrase) does not show up, e.g.
e "Achillea santolina" , non Test , but should be "Achillea santolina" auct., non Test

The auct. is in the webservice but seems to get lost in the portal code
https://dev.e-taxonomy.eu/redmine/issues/7658#note-17

#40 - 09/16/2018 03:27 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Andreas Kohlbecker
#41 - 09/16/2018 03:30 PM - Andreas Miiller
Andreas Milller wrote:
"auct." (appended phrase) does not show up, e.g.
e "Achillea santolina" , non Test , but should be "Achillea santolina" auct., non Test

The auct. is in the webservice but seems to get lost in the portal code

This is only the case, if no sensu reference is defined

#42 - 09/16/2018 03:49 PM - Andreas Miiller

Deduplication takes not yet place when the relationship is of type "pro parte Misaplied Name" or "partial Misapplied Name", but should. But of course
only if both types are equal, so don't mix MAN with ppMAN or partialMAN with ppMAN ...

#43 - 09/16/2018 05:00 PM - Andreas Kohlbecker
Andreas Miller wrote:
Deduplication takes not yet place when the relationship is of type "pro parte Misaplied Name" or "partial Misapplied Name", but should. But of

course only if both types are equal, so don't mix MAN with ppMAN or partialMAN with ppMAN ...

Oops, this is a new requirement.
#44 - 09/16/2018 05:08 PM - Andreas Kohlbecker
Andreas Muller wrote:
Andreas Muller wrote:
"auct." (appended phrase) does not show up, e.g.
e "Achillea santolina", non Test , but should be "Achillea santolina" auct., non Test

The auct. is in the webservice but seems to get lost in the portal code

This is only the case, if no sensu reference is defined

It is actually the "Combination Authors" data which causes the problem.

#45 - 09/16/2018 05:37 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
all mentioned bugs fixed!
#46 - 09/16/2018 05:39 PM - Andreas Miiller

The sort order is still not correct. We should first have pro parte/partial synonyms, then invalid designations, then MANs followed (or including?) pro
parte/partial MAN and finally concept relationships.

Currently they come mixed up:
Achillea santolinoides

General Synonymy Specimens e

Achillea santolincides Lag.
Type: Philippines, Panay, Antique Prov, Mariliso (= Malalison) Island., male in? or. May—-Aug. 1918, McGregor
32313 (holotype: US, isotype: B, photo K, photo PMH)

— "Achillea santoling™ auct., non Test

- "Achillea santoling” aaa sensu Chriek & B. Slavik 19942

79— ?"Achillea santoling” sensu Chriek & B. Slavik 1994<; ccc sensu Baumel 2017+ 227, non Test, emr. sec. Zohary &
Heller 1984 33

— "Test invaliddesig”™ auct.

£ Achillea cretica L. sec. Cyprus

—(parnt.) "Achillea santoling” aab sensu Meikle 1985

—{parnt.) "Achillea santoling” auctrs.

ap.p. Proparte synonym sec. Chriek & B. Slavik 1994, syn. sec. Kreutz & Scraton 2002

1. A. Baumel, 2017, 2. J. Chriek & B. Slavik, Contribution to the flora of Cyprus. 3 in FI. Medit. 4. 1994, 3. M. Zohary & D. Heller, The
genus Trifolium. 1934

#47 - 09/16/2018 05:40 PM - Andreas Miiller
- File picture979-1.png added

#48 - 09/16/2018 05:41 PM - Andreas Miiller

This problem is not release critical. We can fix it in 5.4. Maybe only moving up ppSyn to top would be nice but if not it is acceptable.

#49 - 09/16/2018 07:15 PM - Andreas Miiller

Andreas Kohlbecker wrote:

all mentioned bugs fixed!

Tested the 2 issues. Both work.

So the only open issue is the sorting #7658#note-46
We may move this to 5.4 if not easy to fix.

#50 - 09/16/2018 07:15 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Andreas Kohlbecker

#51 - 09/16/2018 07:20 PM - Andreas Miiller

And ofcourse the footnotes for non-MAN data are still missing. #7658#note-37 or should this be fixed already? If yes, it doesn't seem to work.

#52 - 09/17/2018 03:27 PM - Andreas Kohlbecker

- Copied to bug #7766: Remaining issues for using relationship DTO webservice in portal added

#53 - 09/17/2018 08:00 PM - Andreas Miiller
- Status changed from Feedback to Closed

Close this ticket. Remaining (and new) issues moved to #7766

#54 - 09/17/2018 08:00 PM - Andreas Miiller
- % Done changed from 80 to 100

Files

picture970-1.png 17.8 KB 09/06/2018 Andreas Muller

picture970-2.png 41 KB 09/06/2018 Andreas Miller
